This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Add support for sync and use "wish" options
Type: Stage:
Components: Tkinter Versions:
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: loewis Nosy List: gregcouch, loewis
Priority: normal Keywords: patch

Created on 2004-07-07 23:09 by gregcouch, last changed 2022-04-11 14:56 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
d gregcouch, 2004-07-07 23:09 sync/use patch
Messages (2)
msg46327 - (view) Author: Greg Couch (gregcouch) Date: 2004-07-07 23:09
Tkinter/_tkinter is unable to set the sync and use
options in the default Toplevel widget created when
Tkinter.Tk is called.  Like the Tcl/Tk wish shell,
these options need be given in the argv tcl variable. 
This patch adds "sync" and "use" keyword arguments to
Tkinter.Tk.

The sync option says to "Execute all X server commands
synchronously, so that errors are reported immediately.
 This will result in much slower execution, but it is
useful for debugging."

The use option says to "Specifies that the main window
for the application is to be embedded in the window
whose identifier is id, instead of being created as an
independent toplevel window.  Id must be specified in
the same way as the value for the -use option for
toplevel widgets (i.e. it has a form like that returned
by the winfo id command)."
msg46328 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2004-08-03 18:48
Logged In: YES 
user_id=21627

Thanks for the patch. Applied as

_tkinter.c 1.166
Tkinter.py 1.181
NEWS 1.1066
History
Date User Action Args
2022-04-11 14:56:05adminsetgithub: 40520
2004-07-07 23:09:06gregcouchcreate